Results 1 to 5 of 5

Thread: help with installing older version of ksudoku

  1. #1

    Question help with installing older version of ksudoku

    I am looking for some help, advice, instruction, on installing an older version of Ksudoku on opensuse 11.1.
    I've tried using the "one click" option on the "get software" page of opensuse.org to install version 4.04, but yast always installs ver 4.13.
    I downloaded the rpm of 4.04 but when I try to install it the same thing happens. When using "install software" instead of yast I get the message "nothing provides libkdegames.so.4 So I downloaded an RPM with this lib but when I try to install it, yast downloads the newer libkdegames.so.5. So I get the same message when installing the ksudoku 4.04 RPM. I used zypper to install the library and after it uninstalled some games it said it worked. But then when I tried to zypper the ksudoku 4.04 rpm, the installer downloaded the newer 4.13 again.
    I'm fairly new to linux, about a year and a half, and have been very happy with opensuse since switching from winXP to opensuse 10.3. And I really like the ksudoku game, I still have the 4.04 version running on another partition with 11.0 but did a clean install with 11.1. I just don't care for the new "themes" in the 4.13 version. They are very distracting.
    Thank for any help you can provide.

  2. #2

    Default Re: help with installing older version of ksudoku

    It's not easy to downgrade just KSudoku. The reason is that it is packaged to require parts of the KDE 4.0.4 runtime (stuff that is not libraries, but is used at run time, like ioslaves etc, and not the KDE 4.1 versions shipped with 11.1.

    However I've just forced it to install, using 11.0's libkdegames, and it seems to work anyway (more of a sudo'er than a sudoku'er, so YMMV).

    If you really, really want the simple themes:

    1) Register the 11.0 repository

    Code:
    > zypper ar http://download.opensuse.org/distribution/11.0/repo/oss/ 110repo
    2) Install libkdegames4 from 11.0

    Code:
    > zypper in libkdegames4=4.0.4-16.1
    Zypper will prompt to uninstall everything that depends on KDE 4.1's libkdegames4, including kde4-ksudoku. If it prompts to uninstall or downgrade or change vendor on any other packages, like kdelibs or kdebase, STOP NOW before screwing up your install. We will put kde4-ksudoku back. Any KDE 4.1 games are going to be toast though.

    3) Install the kde4-ksudoku rpm from 4.0.4 using rpm to bypass zypper's dependency resolution

    Code:
    > rpm -Uhv --nodeps kde4-ksudoku-4.0.4-16.1.x86_64.rpm (or whatever arch you downloaded)
    4) File a wishlist at bugs.kde.org for a 'clean' theme in the new ksudoku, or else get busy with in /usr/share/kde4/apps/ksudoku/themes/ with inkscape and make your own so future generations don't have to mess about like this.

  3. #3

    Default Re: help with installing older version of ksudoku

    Thanks wstephenson,
    Followed your instructions and it worked great. Much appreciated. I'm very grateful for your time and help with something that is clearly not a serious issue. But I've learned some things, and now I've got my favorite little time waster back. Can't see reporting this as a bug, but maybe a whish that future versions alow using themes as an option. I actually did think about making a theme but couldn't find any info an the ksudoku website, ie specs or guidlines. Still I think you right I owe it to myself and the community to get more involved. And thank you again for your help.

  4. #4
    aqualung NNTP User

    Default Re: help with installing older version of ksudoku

    Hello,

    I have created a simple theme for Ksudoku for KDE 4 as I find the themes that come with it very distracting. Feel free to leave highlighting on with this theme as I removed the horizontal and vertical bar, and cell highlighting.. just the square your mouse is over will highlight.


    Here is a picture of it. It runs fast too since it has no large background SVG and tried to streamline as much as I could. It's not fully complete but if you just play 9x9 Sudoku it will be fine.

    You can download it from here:

    ksudoku_clean.tar.gz (mediafire.com)

    I also made a freshmeat.net project for it but it's still waiting verification. If you don't like mediafire.com see if my project has been posted yet, it'll either be on:

    http://freshmeat.net/projects/ksudoku_clean/

    or maybe listed at:

    freshmeat.net: User information

    After downloading extract the files to your share/apps/ksudoku/themes directory or some other place ksudoku will find it (I don't know what KDEs rules are for that ).

    Cheers.

  5. #5
    aqualung NNTP User

    Default Re: help with installing older version of ksudoku


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •